Subject: [alpine-aports] [PATCH] testing/libunwind: new aport

From: Ben Pye <[email-masked]>
Date: Mon, 7 Dec 2015 08:43:40 +0000

http://www.nongnu.org/libunwind/
Portable and efficient C programming interface (API) to determine the call-chain of a program
---
 testing/libunwind/10-disable-tests.patch | 11 ++++++++
 testing/libunwind/APKBUILD               | 45 ++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)
 create mode 100644 testing/libunwind/10-disable-tests.patch
 create mode 100644 testing/libunwind/APKBUILD

diff --git a/testing/libunwind/10-disable-tests.patch b/testing/libunwind/10-disable-tests.patch
new file mode 100644
index 0000000..b7b3240
--- /dev/null
+++ b/testing/libunwind/10-disable-tests.patch
@@ -0,0 +1,11 @@
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -313,7 +313,7 @@
+ 	$(am__append_7) $(am__append_8) $(am__append_9) \
+ 	$(am__append_10)
+ nodist_include_HEADERS = include/libunwind-common.h
+-SUBDIRS = src tests doc
++SUBDIRS = src doc
+ noinst_HEADERS = include/dwarf.h include/dwarf_i.h include/dwarf-eh.h	\
+ 	include/compiler.h include/libunwind_i.h include/mempool.h	\
+ 	include/remote.h						\
diff --git a/testing/libunwind/APKBUILD b/testing/libunwind/APKBUILD
new file mode 100644
index 0000000..3e954a3
--- /dev/null
+++ b/testing/libunwind/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Ben Pye <[email-masked]>
+# Maintainer: Ben Pye <[email-masked]>
+pkgname=libunwind
+pkgver=1.1
+pkgrel=1
+pkgdesc="Portable and efficient C programming interface (API) to determine the call-chain of a program"
+url="http://www.nongnu.org/libunwind/"
+arch="all"
+license="X11"
+depends="musl"
+depends_dev=""
+makedepends="$depends_dev linux-headers"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://download.savannah.gnu.org/releases/libunwind/libunwind-$pkgver.tar.gz
+        10-disable-tests.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="fb4ea2f6fbbe45bf032cd36e586883ce  libunwind-1.1.tar.gz
+1f6a9820ff7839cc44b285d2239fa69b  10-disable-tests.patch"
+sha256sums="9dfe0fcae2a866de9d3942c66995e4b460230446887dbdab302d41a8aee8d09a  libunwind-1.1.tar.gz
+920e037b775a05e762cc47b0bc361e403337db986e3d471b95933375738ee31f  10-disable-tests.patch"
+sha512sums="bfe04f2bfac9f9e47c37f0b23ed2f264d8d3d3d6f1392fe9d794ee13cad216b3740979e922e4276fb65c1ccdc836fce48812cb5459ecdd2a89a621036a35d7c1  libunwind-1.1.tar.gz
+6302a9ef7c785c459f2966af5a0367bf752e4c7ea6e4f6136f51d674a66b253aecb81072ffb65c3df1c2dd4f949413abbf13a6d5c425394e23aa6a09102bc187  10-disable-tests.patch"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Ben Pye <[email-masked]>
Date: Mon, 7 Dec 2015 10:49:09 +0000

http://www.nongnu.org/libunwind/
Portable and efficient C programming interface (API) to determine the call-chain of a program
---
Changes v1 -> v2:
  - Changed incorrect X11 license to MIT

index 0000000..e14d4e8
+license="MIT"

---

---

From: Ben Pye <[email-masked]>
Date: Mon, 7 Dec 2015 12:29:32 +0000

http://www.nongnu.org/libunwind/
Portable and efficient C programming interface (API) to determine the call-chain of a program
---
Changes v1 -> v2:
  - Changed incorrect X11 license to MIT
Changes v2 -> v3:
  - Removed unnecessary musl dependency

index 0000000..1ead581
+depends=""

---